function updateTime() {
  const cities = {
    manila: 'Asia/Manila',
    newyork: 'America/New_York',
    london: 'Europe/London'
  };

  for (const [city, timezone] of Object.entries(cities)) {
    const timeElement = document.querySelector(`#${city} .time`);
    const time = new Date().toLocaleTimeString('en-US', {
      timeZone: timezone,
      hour12: true,
      hour: 'numeric',
      minute: '2-digit',
      second: '2-digit'
    });
    timeElement.textContent = time;
  }
}

function simulateWeather() {
  const cities = ['manila', 'newyork', 'london'];
  
  cities.forEach(city => {
    const celsius = Math.floor(Math.random() * 35) + 5;
    const fahrenheit = Math.round(celsius * 9/5 + 32);
    
    const tempCElement = document.querySelector(`#${city} .temp-c`);
    const tempFElement = document.querySelector(`#${city} .temp-f`);
    
    tempCElement.textContent = `${celsius}°C`;
    tempFElement.textContent = `${fahrenheit}°F`;
  });
}

// Update time every second
setInterval(updateTime, 1000);

// Update weather every 5 minutes
simulateWeather();
setInterval(simulateWeather, 300000);

// Initial updates
updateTime();
